Package org.opengis.cite.iso19142.basic.filter.temporal

# Class AbstractTemporalTest

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.filter.QueryFilterFixture
org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest

Direct Known Subclasses:
  `AfterTests`, `BeforeTests`, `DuringTests`

public abstract class AbstractTemporalTest extends QueryFilterFixture

Author:
  Lyn Goltz

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `(package private) class`
  `AbstractTemporalTest.TemporalProperty`

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `dataSampler, GET_FEATURE_MINIMAL, model, temporalProperties`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTemporalTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractTemporalTest.TemporalProperty`
  `findTemporalProperty(QName featureType)`

  ### Methods inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `buildRequestEntity, discardResponseEntity, findTemporalProperties, getModel, initQueryFilterFixture`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractTemporalTest

    public AbstractTemporalTest()

- ## Method Details

  - ### findTemporalProperty

    public AbstractTemporalTest.TemporalProperty findTemporalProperty(QName featureType)